Apache Tomcat 6.0.53

## org.apache.catalina.core
Class ContainerBase.NoopAccessLog

    java.lang.Object
      org.apache.catalina.core.ContainerBase.NoopAccessLog

All Implemented Interfaces:
  AccessLog

Enclosing class:
  ContainerBase

    protected static final class ContainerBase.NoopAccessLog

extends java.lang.Object
implements AccessLog

Constructor Summary
`protected` | `ContainerBase.NoopAccessLog()`

Method Summary
`void` | `log(Request request, Response response, long time)` Add the request/response to the access log using the specified processing time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerBase.NoopAccessLog

    protected ContainerBase.NoopAccessLog()

Method Detail

### log

    public void log(Request request,
                    Response response,
                    long time)

  Description copied from interface: `AccessLog`
  Add the request/response to the access log using the specified processing time.

  Specified by:
    `log` in interface `AccessLog`
  Parameters:
    `request` - Request (associated with the response) to log
    `response` - Response (associated with the request) to log
    `time` - Time taken to process the request/response in milliseconds (use 0 if not known)

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.